<?php
include "scrinit.php";
include "logo.php";
?>

<head>
<meta http-equiv="Content-Type" content="text/html; charset=utf-8" />
<title>Δήλωση Δραστηριότητας</title>
<script src="http://ajax.googleapis.com/ajax/libs/jquery/1.11.0/jquery.min.js"></script>
<script type="text/javascript" src="http://code.jquery.com/jquery-1.9.1.min.js"></script>


<style type="text/css">
table.o { border-collapse:collapse;border:solid 2px #00F ;}
table.o td {border:solid 2px #00F; padding:2px ; word-wrap:break-word;} 
table.o th { border:2px solid black; background-color: #CCF;padding:2px;font-size:10pt;word-wrap:break-word; }
<p style="font-size:10px;"></p>
</style>

</head>

<body>
<h2>ΔΗΛΩΣΗ ΟΜΙΛΟΥ</h2>
<h4> Να επιλέξετε υποχρεωτικά ένα από τους ομίλους.  </h4>
<?php
require "dbconnect.php"; 
$dt=$_SESSION['dt'];

if ($dt > '2019-12-16 11:59:00') { 
?>
<h2> ΤΟ ΣΥΣΤΗΜΑ ΕΠΙΛΟΓΗΣ ΟΜΙΛΟΥ ΕΧΕΙ ΑΠΕΝΕΡΓΟΠΟΙΗΘΕΙ </h2>
<?php

header ("Location: indexstudent.php");

}  
$name = $_SESSION['name'];
$mitroo=$_SESSION['usr'];

echo "ΜΑΘΗΤΗΣ / ΤΡΙΑ : "."<b>".$name."</b>"."<br>";
echo "<br>"."ΗΜΕΡΟΜΗΝΙΑ:".$dt;
echo "<br>"; 

$sql=mysqli_query($con,"SELECT * FROM omiloi order by code" );
$c=mysqli_num_rows($sql);
$sql1=mysqli_query($con,"select * from dilosiomilosstu where mitroo='$mitroo'");
$omin=mysqli_num_rows($sql1);
If ( $omin > 0)
 {
	$row1 = mysqli_fetch_array($sql1); 
    $omc=$row1['code'];
	echo "ΕΧΕΤΕ ΗΔΗ ΕΠΙΛΕΞΕΙ ΟΜΙΛΟ - ΣΕ ΑΥΤΟ ΤΟ ΣΤΑΔΙΟ ΔΕΝ ΜΠΟΡΕΙΤΕ ΝΑ ΣΥΝΕΧΙΣΕΤΕ";
 }
 else
 {
 for ($i=1;$i<=$c;$i++)
 {
	 $acode[$i]=0;
 }
 
$sql2=mysqli_query($con,"select code,count(code) as ccode from dilosiomilosstu group by code order by code"); 
while($row2 = mysqli_fetch_array($sql2))
{
	$acode[$row2['code']]=$row2['ccode'];
}

?>
<form method="POST"  action="omilosin.php">
 
<?php
echo "<table class='o' >
<tr>
<th>ΚΩΔ.</th>
<th>ΟΜΙΛΟΣ</th>
<th>ΔΙΑΘΕΣΙΜΕΣ ΘΕΣΕΙΣ</th>
<th>ΕΠΙΛΟΓΗ</th>
</tr>";
$i=1;
while($row = mysqli_fetch_array($sql))
     {
	
	$code=$row['code'];
	    	
	if($code == $omc){$s1='checked';}	else {$s1="";}
	$name=$row['omilos'];
	$max=$row['maxplithos'];	
	$dia=$max-$acode[$code];		 
	 echo "<tr>";
	 echo "<td>" .$code. "</td>";
	 echo "<td>". $name. "</td>";
	 echo "<td>". $dia ." από ".$max. "</td>";
	 if ($dia <= 0){
	    echo "<td >". "<input type='radio'  id='dilosi1'  name='dilosi1' value='$code' disabled".$s1." >" ."</td>";}
	 else {
		echo "<td>". "<input type='radio'  id='dilosi1'  name='dilosi1' value='$code' ".$s1.">" ."</td>"; 
	 }
	 
	 echo "</tr>";
	}

echo "</table>";
?>

<br />
<input type="Submit" id="subomilos" name="subomilos" value="Καταχώρηση Επιλογής Ομίλου">
</form>
<?php
 }
 ?>
<br /><br />
<a  href=<?php echo $menu;?> style="background-color: #819FF7;font-weight: bold; color: #ffffff;padding:4px;text-decoration:none"  >  Ακύρωση και Επιστροφή στο Μενού  </a>

</body>
</html>